Loading...
Searching...
No Matches
volk Namespace Reference

## Data Structures

struct | alloc
| C++11 allocator using volk_malloc and volk_free. More...

## Typedefs

template<class T>
using | vector = std::vector<T, alloc<T>>
| type alias for std::vector using volk::alloc

## Functions

template<class T, class U>
bool | operator== (alloc< T > const &, alloc< U > const &)
template<class T, class U>
bool | operator!= (alloc< T > const &, alloc< U > const &)

## Typedef Documentation

## vector

template<class T>

using volk::vector = std::vector<T, alloc<T>>

type alias for std::vector using volk::alloc

example code: volk::vector<float> v(100); // vector using volk_malloc, volk_free

## Function Documentation

## operator!=()

template<class T, class U>

bool volk::operator!= | ( | alloc< T > const & | ,
|  | alloc< U > const & | )

## operator==()

template<class T, class U>

bool volk::operator== | ( | alloc< T > const & | ,
|  | alloc< U > const & | )